import 'package:flutter/material.dart';
import 'package:rasadyar_core/core.dart';


import 'logic.dart';

class SplashPage extends GetView<SplashLogic> {
  const SplashPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.blueDarker,
      body: Center(
        child: Stack(
          alignment: Alignment.center,
          children: [
            ObxValue((data) {
              return ScaleTransition(
                scale: data.value!,
                child: Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 1),
                  child: Assets.images.innerSplash.image(
                    width: 190,
                    height: 190,
                  )
                ),
              );
            }, controller.scaleAnimation),

            ObxValue((data) {
              return RotationTransition(
                turns: data.value!,

                child: Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 1),
                    child: Assets.images.outterSplash.image()
                ),
              );
            }, controller.rotationAnimation),
          ],
        ),
      ),
    );
  }
}
